Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3851)
@@ -2083,5 +668,968 @@
       ALLOCATE( v10m_ss(klon))
 
-
+!AS: in phys_output_write_spl, but not in spla_output_write.h
+!------------------------------------------------------
+      ALLOCATE(d_tr_cl(klon,klev,nbtr))
+      ALLOCATE(d_tr_th(klon,klev,nbtr))
+      ALLOCATE(d_tr_cv(klon,klev,nbtr))
+      ALLOCATE(d_tr_lessi_impa(klon,klev,nbtr))
+      ALLOCATE(d_tr_lessi_nucl(klon,klev,nbtr))
+      ALLOCATE(d_tr_insc(klon,klev,nbtr))
+      ALLOCATE(d_tr_bcscav(klon,klev,nbtr))
+      ALLOCATE(d_tr_evapls(klon,klev,nbtr))
+      ALLOCATE(d_tr_ls(klon,klev,nbtr))
+      ALLOCATE(d_tr_trsp(klon,klev,nbtr))
+      ALLOCATE(d_tr_sscav(klon,klev,nbtr))
+      ALLOCATE(d_tr_sat(klon,klev,nbtr))
+      ALLOCATE(d_tr_uscav(klon,klev,nbtr))
+      
+END SUBROUTINE phytracr_spl_out_init
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+SUBROUTINE phytracr_spl_ini(klon,nbreg_ind,nbreg_bb,nbreg_dust,nbreg_wstardust)
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+
+  IMPLICIT NONE
+  INTEGER klon,nbreg_ind,nbreg_bb,nbreg_dust,nbreg_wstardust
+
+  ALLOCATE(  tsol(klon)              )
+
+!AS: IF permettant le debranchage des coefs de Jeronimo Escribano: fichiers *_meta
+! nbreg_* sont initialisés à 1 dans phytracr_spl, if debutphy, 
+! avant d'appeler la subroutine presente, phytracr_spl_ini 
+! (phytracr_spl_ini appele readregionsdims2_spl, 
+! qui lit et fait "bcast" de nbreg_ind,_bb,_dust,_wstardust dans fichiers regions_*_meta)
+IF("ASSIM"=="YES") THEN
+  fileregionsdimsind='regions_ind_meta'
+  fileregionsdimsdust='regions_dustacc_meta'
+!  fileregionsdimsdust='regions_dust_meta'
+  fileregionsdimsbb='regions_bb_meta'
+  fileregionsdimswstar='regions_pwstarwake_meta'
+  call  readregionsdims2_spl(nbreg_ind,fileregionsdimsind)
+  call  readregionsdims2_spl(nbreg_dust,fileregionsdimsdust)
+  call  readregionsdims2_spl(nbreg_bb,fileregionsdimsbb)
+  call  readregionsdims2_spl(nbreg_wstardust,fileregionsdimswstar)
+  ENDIF ! ASSIM
+! fin debranchage
+
+!readregions_spl()
+
+  ALLOCATE(scale_param_ind(nbreg_ind))
+  ALLOCATE(scale_param_bb(nbreg_bb))
+  ALLOCATE(scale_param_ff(nbreg_ind))
+  ALLOCATE(scale_param_dustacc(nbreg_dust))
+  ALLOCATE(scale_param_dustcoa(nbreg_dust))
+  ALLOCATE(scale_param_dustsco(nbreg_dust))
+  ALLOCATE(param_wstarBLperregion(nbreg_wstardust))
+  ALLOCATE(param_wstarWAKEperregion(nbreg_wstardust))
+  ALLOCATE(  dust_ec(klon)           )
+  ALLOCATE(  u10m_ec(klon)           )
+  ALLOCATE(  v10m_ec(klon)           )
+  ALLOCATE(  lmt_so2volc_cont(klon)  )
+  ALLOCATE(  lmt_altvolc_cont(klon)  )
+  ALLOCATE(  lmt_so2volc_expl(klon)  )
+  ALLOCATE(  lmt_altvolc_expl(klon)  )
+  ALLOCATE(  lmt_so2ff_l(klon)       )   
+  ALLOCATE(  lmt_so2ff_h(klon)       )  
+  ALLOCATE(  lmt_so2nff(klon)        )  
+  ALLOCATE(  lmt_so2ba(klon)         )  
+  ALLOCATE(  lmt_so2bb_l(klon)       )
+  ALLOCATE(  lmt_so2bb_h(klon)       )  
+  ALLOCATE(  lmt_dmsconc(klon)       )  
+  ALLOCATE(  lmt_dmsbio(klon)        )  
+  ALLOCATE(  lmt_h2sbio(klon)        )  
+  ALLOCATE(  lmt_bcff(klon)          )
+  ALLOCATE(  lmt_bcnff(klon)         )
+  ALLOCATE(  lmt_bcbb_l(klon)        )
+  ALLOCATE(  lmt_bcbb_h(klon)        )
+  ALLOCATE(  lmt_bcba(klon)          )
+  ALLOCATE(  lmt_omff(klon)          )  
+  ALLOCATE(  lmt_omnff(klon)         )  
+  ALLOCATE(  lmt_ombb_l(klon)        )  
+  ALLOCATE(  lmt_ombb_h(klon)        )  
+  ALLOCATE(  lmt_omnat(klon)         )  
+  ALLOCATE(  lmt_omba(klon)          )           
+  ALLOCATE(lmt_sea_salt(klon,ss_bins)) 
+
+
+
+
+  !temporal hardcoded null inicialization of assimilation emmision factors
+!AS: scale_param sont ensuite lus dans modvalues.nc 
+! par la subroutine read_scalenc, appelee par readscaleparamsnc_spl
+  scale_param_ssacc=1.
+  scale_param_sscoa=1.
+  scale_param_ind(:)=1.
+  scale_param_bb(:)=1.
+  scale_param_ff(:)=1.
+  scale_param_dustacc(:)=1.
+  scale_param_dustcoa(:)=1.
+  scale_param_dustsco(:)=1.
+  param_wstarBLperregion(:)=0.
+  param_wstarWAKEperregion(:)=0.
+
+
+RETURN
+END SUBROUTINE phytracr_spl_ini
+
+
+
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      SUBROUTINE phytracr_spl ( debutphy,lafin,jD_cur,jH_cur,iflag_conv, &  ! I
+                      pdtphys,ftsol,                                   &  ! I
+                      t_seri,q_seri,paprs,pplay,RHcl,                  &  ! I
+                      pmfu, pmfd, pen_u, pde_u, pen_d, pde_d,          &  ! I
+                      coefh, cdragh, cdragm, yu1, yv1,                 &  ! I
+                      u_seri, v_seri, rlat,rlon,                       &  ! I
+                      pphis,pctsrf,pmflxr,pmflxs,prfl,psfl,            &  ! I
+                      da,phi,phi2,d1a,dam,mp,ep,sigd,sij,clw,elij,     &  ! I
+                      epmlmMm,eplaMm,upwd,dnwd,itop_con,ibas_con,      &  ! I
+                      evapls,wdtrainA,  wdtrainM,wght_cvfd,              &  ! I
+                      fm_therm, entr_therm, rneb,                      &  ! I
+                      beta_fisrt,beta_v1,                              &  ! I
+                      zu10m,zv10m,wstar,ale_bl,ale_wake,               &  ! I
+                      d_tr_dyn,tr_seri)                                            ! O
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      USE mod_grid_phy_lmdz
+      USE mod_phys_lmdz_para
+      USE IOIPSL
+      USE dimphy
+      USE infotrac
+      USE indice_sol_mod
+      USE write_field_phy
+     
+
+      USE mod_phys_lmdz_transfert_para
+
+  USE phys_cal_mod, only: jD_1jan,year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
+       mth_cur, phys_cal_update
+
+!
+      IMPLICIT none
+!
+
+!======================================================================
+! Auteur(s) FH
+! Objet: Moniteur general des tendances traceurs
+!
+! Remarques en vrac:
+! ------------------
+! 1/ le call phytrac se fait avec nqmax-2 donc nous avons bien 
+! les vrais traceurs (nbtr) dans phytrac (pas la vapeur ni eau liquide)
+!======================================================================
+#include "dimensions.h"
+#include "chem.h"
+#include "chem_spla.h"
+#include "YOMCST.h"
+#include "YOETHF.h"
+#include "paramet.h"
+#include "thermcell.h"
+
+!======================================================================
+
+! Arguments:
+!
+!  EN ENTREE:
+!  ==========
+!
+!  divers:
+!  -------
+!
+      real,intent(in) :: pdtphys  ! pas d'integration pour la physique (seconde)
+      REAL, intent(in):: jD_cur, jH_cur
+      real, intent(in) ::  ftsol(klon,nbsrf)  ! temperature du sol par type
+      real, intent(in) ::  t_seri(klon,klev)  ! temperature
+      real, intent(in) ::  u_seri(klon,klev)  ! vent
+      real , intent(in) :: v_seri(klon,klev)  ! vent
+      real , intent(in) :: q_seri(klon,klev)  ! vapeur d eau kg/kg
+
+LOGICAL,  INTENT(IN)                          :: lafin
+
+      real tr_seri(klon,klev,nbtr) ! traceur  
+      real tmp_var(klon,klev) ! auxiliary variable to replace traceur  
+      real tmp_var2(klon,nbtr) ! auxiliary variable to replace source
+      real tmp_var3(klon,klev,nbtr) ! auxiliary variable 3D  
+      real dummy1d ! JE auxiliary variable
+      real aux_var2(klon) ! auxiliary variable to replace traceur  
+      real aux_var3(klon,klev) ! auxiliary variable to replace traceur  
+      real d_tr(klon,klev,nbtr)    ! traceur  tendance
+      real sconc_seri(klon,nbtr) ! surface concentration of traceur  
+!
+      integer nbjour
+      save nbjour
+!$OMP THREADPRIVATE(nbjour)
+!
+      INTEGER  masque_aqua_cur(klon)
+      INTEGER  masque_terra_cur(klon)
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: masque_aqua  !mask for 1 day
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: masque_terra !
+!$OMP THREADPRIVATE(masque_aqua,masque_terra)
+
+  INTEGER, SAVE :: nbreg_dust, nbreg_ind, nbreg_bb, nbreg_ss,nbreg_wstardust
+  !$OMP THREADPRIVATE(nbreg_dust, nbreg_ind, nbreg_bb,nbreg_ss,nbreg_wstardust)
+
+
+
+      REAL lmt_dms(klon)           ! emissions de dms
+
+!JE20150518<<
+      REAL, DIMENSION(klon_glo)  :: aod550_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_tr2_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_ss_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_dust_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_dustsco_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_tr2_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_ss_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_dust_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_dustsco_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_tr2_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_ss_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_dust_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_dustsco_terra_glo  ! AOD at terra overpass time ( 10.30 local hour)
+
+      REAL, DIMENSION(klon_glo)  :: aod550_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_tr2_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_ss_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_dust_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod550_dustsco_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_tr2_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_ss_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_dust_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod670_dustsco_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_tr2_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_ss_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_dust_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+      REAL, DIMENSION(klon_glo)  :: aod865_dustsco_aqua_glo  ! AOD at aqua overpass time ( 13.30 local hour)
+!!!!!!!!!!!!!
+!JE20150518>>
+
+
+
+
+      real , intent(in) :: paprs(klon,klev+1)  ! pression pour chaque inter-couche (en Pa)
+      real , intent(in) :: pplay(klon,klev)  ! pression pour le mileu de chaque couche (en Pa)
+      real , intent(in) :: RHcl(klon,klev)  ! humidite relativen ciel clair
+      real znivsig(klev)  ! indice des couches
+      real paire(klon)
+      real, intent(in) ::  pphis(klon)
+      real, intent(in) ::  pctsrf(klon,nbsrf)
+      logical , intent(in) :: debutphy   ! le flag de l'initialisation de la physique
+!
+!  Scaling Parameters:
+!  ----------------------
+!
+      CHARACTER*50 c_Directory
+      CHARACTER*80 c_FileName1 
+      CHARACTER*80 c_FileName2
+      CHARACTER*130 c_FullName1
+      CHARACTER*130 c_FullName2
+      INTEGER :: xidx, yidx
+      INTEGER,DIMENSION(klon) :: mask_bbreg
+      INTEGER,DIMENSION(klon) :: mask_ffso2reg
+      INTEGER :: aux_mask1
+      INTEGER :: aux_mask2
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: iregion_so4 !Defines regions for SO4 ; AS: PAS UTILISE!
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: iregion_ind  !Defines regions for SO2, BC & OM
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: iregion_bb   !Defines regions for SO2, BC & OM
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: iregion_dust !Defines  dust regions
+      INTEGER, DIMENSION(:), ALLOCATABLE, SAVE :: iregion_wstardust !Defines  dust regions
+!$OMP THREADPRIVATE(iregion_so4,iregion_ind,iregion_bb,iregion_dust,iregion_wstardust)
+
+!  Emissions:
+
+!
+!---------------------------- SEA SALT & DUST emissions ------------------------
+      REAL lmt_sea_salt(klon,ss_bins) !Sea salt 0.03-8.0 um
+      REAL u10m_ec1(klon),v10m_ec1(klon)
+      REAL u10m_ec2(klon),v10m_ec2(klon),dust_ec2(klon)
+      REAL dust_ec(klon)
+!     new dust emission chimere je20140522
+      REAL,DIMENSION(klon),INTENT(IN)                     :: zu10m
+      REAL,DIMENSION(klon),INTENT(IN)                     :: zv10m
+      REAL,DIMENSION(klon),INTENT(IN)  :: wstar,ale_bl,ale_wake
+
+
+!
+!  Rem : nbtr : nombre de vrais traceurs est defini dans dimphy.h
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+     !Dynamique
+     !--------
+      REAL,DIMENSION(klon,klev,nbtr),INTENT(IN)    :: d_tr_dyn
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!  convection:
+!  -----------
+!
+      REAL , intent(in) :: pmfu(klon,klev)  ! flux de masse dans le panache montant
+      REAL , intent(in) :: pmfd(klon,klev)  ! flux de masse dans le panache descendant
+      REAL, intent(in) ::  pen_u(klon,klev) ! flux entraine dans le panache montant
+      REAL, intent(in) ::  pde_u(klon,klev) ! flux detraine dans le panache montant
+      REAL, intent(in) ::  pen_d(klon,klev) ! flux entraine dans le panache descendant
+      REAL, intent(in) ::  pde_d(klon,klev) ! flux detraine dans le panache descendant
+!
+!  Convection KE scheme:
+!  ---------------------
+!
+!! Variables pour le lessivage convectif
+       REAL,DIMENSION(klon,klev),INTENT(IN)     :: da
+       REAL,DIMENSION(klon,klev,klev),INTENT(IN):: phi
+       REAL,DIMENSION(klon,klev,klev),INTENT(IN) :: phi2
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: d1a,dam
+       REAL,DIMENSION(klon,klev),INTENT(IN)     :: mp
+       REAL,DIMENSION(klon,klev),INTENT(IN)     :: upwd      ! saturated
+!            updraft mass flux
+       REAL,DIMENSION(klon,klev),INTENT(IN)     :: dnwd      ! saturated
+!            downdraft mass flux
+       INTEGER,DIMENSION(klon),INTENT(IN)     :: itop_con
+       INTEGER,DIMENSION(klon),INTENT(IN)     :: ibas_con
+       REAL,DIMENSION(klon,klev)      :: evapls
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: wdtrainA
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: wdtrainM
+
+
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: ep
+       REAL,DIMENSION(klon),INTENT(IN)           :: sigd
+       REAL,DIMENSION(klon,klev,klev),INTENT(IN) :: sij
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: clw
+       REAL,DIMENSION(klon,klev,klev),INTENT(IN) :: elij
+       REAL,DIMENSION(klon,klev,klev),INTENT(IN) :: epmlmMm
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: eplaMm
+       REAL,DIMENSION(klon,klev),INTENT(IN)      :: wght_cvfd          !RL
+
+
+!     KE: Tendances de traceurs (Td) et flux de traceurs:
+!     ------------------------
+       REAL,DIMENSION(klon,klev)      :: Mint
+       REAL,DIMENSION(klon,klev,nbtr) :: zmfd1a
+       REAL,DIMENSION(klon,klev,nbtr) :: zmfdam
+       REAL,DIMENSION(klon,klev,nbtr) :: zmfphi2
+
+!                                                        !tra dans pluie LS a la surf.
+!      outputs for cvltr_spl
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_cv_o  
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_trsp_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_sscav_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_sat_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_uscav_o
+     !!!!!!!!!!!!!!!!!
+     !!!!!!!!!!!!!!!!!
+     !!!!!!!!!!!!!!!!!
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_insc_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_bcscav_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_evapls_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_ls_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_dyn_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_cl_o
+       REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: d_tr_th_o
+     !!!!!!!!!!!!!!!!!
+     !!!!!!!!!!!!!!!!!
+     !!!!!!!!!!!!!!!!!
+
+!$OMP THREADPRIVATE(d_tr_cv_o,d_tr_trsp_o,d_tr_sscav_o,d_tr_sat_o,d_tr_uscav_o)
+!$OMP THREADPRIVATE(d_tr_insc_o,d_tr_bcscav_o,d_tr_evapls_o,d_tr_ls_o)
+!$OMP THREADPRIVATE(d_tr_dyn_o,d_tr_cl_o,d_tr_th_o)
+
+
+       INTEGER ::  nsplit
+!
+
+     
+
+!
+!  Lessivage
+!  ---------
+!
+      REAL, intent(in) ::  pmflxr(klon,klev+1), pmflxs(klon,klev+1)   !--convection
+      REAL, intent(in) ::  prfl(klon,klev+1),   psfl(klon,klev+1)     !--large-scale
+      REAL :: ql_incl ! contenu en eau liquide nuageuse dans le nuage ! ql_incl=oliq/rneb
+      REAL  :: ql_incloud_ref    ! ref value of in-cloud condensed water content
+
+       REAL,DIMENSION(klon,klev),INTENT(IN)   :: rneb    ! fraction nuageuse (grande echelle)
+!
+
+      REAL,DIMENSION(klon,klev) :: beta_fisrt ! taux de conversion
+!                                                          ! de l'eau cond (de fisrtilp)
+      REAL,DIMENSION(klon,klev) :: beta_v1    ! -- (originale version)
+      INTEGER,SAVE  :: iflag_lscav_omp,iflag_lscav
+!$OMP THREADPRIVATE(iflag_lscav_omp,iflag_lscav)
+
+
+
+
+!Thermiques:
+!----------
+      REAL,DIMENSION(klon,klev+1),INTENT(IN)   :: fm_therm
+      REAL,DIMENSION(klon,klev),INTENT(IN)     :: entr_therm
+
+
+!
+!  Couche limite:
+!  --------------
+!
+      REAL , intent(in) :: coefh(klon,klev) ! coeff melange CL
+      REAL , intent(in) :: cdragh(klon), cdragm(klon)
+      REAL, intent(in) ::  yu1(klon)        ! vent dans la 1iere couche
+      REAL, intent(in) ::  yv1(klon)        ! vent dans la 1iere couche
+!
+!
+!----------------------------------------------------------------------
+      REAL his_ds(klon,nbtr)
+      REAL his_dh(klon,nbtr)
+      REAL his_dhlsc(klon,nbtr)        ! in-cloud scavenging lsc
+      REAL his_dhcon(klon,nbtr)       ! in-cloud scavenging con
+      REAL his_dhbclsc(klon,nbtr)      ! below-cloud scavenging lsc
+      REAL his_dhbccon(klon,nbtr)      ! below-cloud scavenging con
+      REAL trm(klon,nbtr)
+!
+      REAL u10m_ec(klon), v10m_ec(klon)
+!
+      REAL his_th(klon,nbtr)
+      REAL his_dhkecv(klon,nbtr)
+      REAL his_dhkelsc(klon,nbtr)
+
+
+!
+!  Coordonnees
+!  -----------
+!
+      REAL, intent(in) ::  rlat(klon)       ! latitudes pour chaque point 
+      REAL, intent(in) ::  rlon(klon)       ! longitudes pour chaque point 
+!
+      INTEGER i, k, it, j, ig 
+!
+! DEFINITION OF DIAGNOSTIC VARIABLES
+!
+      REAL diag_trm(nbtr), diag_drydep(nbtr) 
+      REAL diag_wetdep(nbtr), diag_cvtdep(nbtr)
+      REAL diag_emissn(nbtr), diag_g2part
+      REAL diag_sedimt
+      REAL trm_aux(nbtr), src_aux(nbtr)
+!
+! Variables locales pour effectuer les appels en serie
+!----------------------------------------------------
+      REAL source_tr(klon,nbtr)
+      REAL flux_tr(klon,nbtr)
+      REAL m_conc(klon,klev)
+      REAL henry(nbtr)  !--cste de Henry  mol/l/atm
+      REAL kk(nbtr)     !--coefficient de var avec T (K)
+      REAL alpha_r(nbtr)!--coefficient d'impaction pour la pluie
+      REAL alpha_s(nbtr)!--coefficient d'impaction pour la neige
+      REAL vdep_oce(nbtr), vdep_sic(nbtr)
+      REAL vdep_ter(nbtr), vdep_lic(nbtr)
+      REAL ccntrAA_spla(nbtr)
+      REAL ccntrENV_spla(nbtr)
+      REAL coefcoli_spla(nbtr)
+      REAL dtrconv(klon,nbtr)
+      REAL zrho(klon,klev), zdz(klon,klev)
+      REAL zalt(klon,klev)
+      REAL,DIMENSION(klon,klev)      :: zmasse    ! densité atmosphérique
+!     .                                              Kg/m2
+      REAL,DIMENSION(klon,klev)      :: ztra_th
+      REAL qmin, qmax, aux
+!      PARAMETER (qmin=0.0, qmax=1.e33)
+      PARAMETER (qmin=1.e33, qmax=-1.e33)
+
+! Variables to save data into file
+!----------------------------------
+   
+      CHARACTER*2 str2
+!!AS:      LOGICAL ok_histrac
+!!!JE2014124      PARAMETER (ok_histrac=.true.)
+!!      PARAMETER (ok_histrac=.false.)
+      INTEGER ndex2d(iim*(jjm+1)), ndex3d(iim*(jjm+1)*klev)
+      INTEGER nhori1, nhori2, nhori3, nhori4, nhori5, nvert
+      INTEGER nid_tra1, nid_tra2, nid_tra3, nid_tra4, nid_tra5
+      SAVE nid_tra1, nid_tra2, nid_tra3, nid_tra4, nid_tra5
+!$OMP THREADPRIVATE(nid_tra1, nid_tra2, nid_tra3, nid_tra4, nid_tra5)
+      INTEGER itra
+      SAVE itra                    ! compteur pour la physique
+!$OMP THREADPRIVATE(itra)
+      INTEGER ecrit_tra, ecrit_tra_h, ecrit_tra_m
+      SAVE ecrit_tra, ecrit_tra_h, ecrit_tra_m
+!$OMP THREADPRIVATE(ecrit_tra, ecrit_tra_h, ecrit_tra_m)
+      REAL presnivs(klev) ! pressions approximat. des milieux couches ( en PA)
+      REAL zx_tmp_2d(iim,jjm+1), zx_tmp_3d(iim,jjm+1,klev)
+      REAL zx_tmp_fi2d(klon), zx_tmp_fi3d(klon, klev)
+      REAL zx_lon_glo(nbp_lon,nbp_lat), zx_lat_glo(nbp_lon,nbp_lat)
+      REAL zsto, zout, zout_h, zout_m, zjulian
+
+!------Molar Masses
+      REAL masse(nbtr)
+!
+      REAL fracso2emis                              !--fraction so2 emis en so2
+      PARAMETER (fracso2emis=0.95) 
+      REAL frach2sofso2                             !--fraction h2s from so2
+      PARAMETER (frach2sofso2=0.0426)
+!
+!  Controles
+!-------------
+      LOGICAL convection,lessivage,lminmax,lcheckmass
+      DATA convection,lessivage,lminmax,lcheckmass &
+          /.true.,.true.,.true.,.false./
+!
+      REAL xconv(nbtr)
+!
+      LOGICAL anthropo, bateau, edgar
+      DATA anthropo,bateau,edgar/.true.,.true.,.true./
+!
+!c bc_source
+      INTEGER kminbc, kmaxbc
+!JE20150715      PARAMETER (kminbc=3, kmaxbc=5)
+      PARAMETER (kminbc=4, kmaxbc=7)
+!
+      REAL tr1_cont, tr2_cont, tr3_cont, tr4_cont
+!
+! JE for updating in  cltrac
+      REAL,DIMENSION(klon,klev)             :: delp     ! epaisseur de couche (Pa)
+!! JE for include gas to particle conversion in output
+!      REAL his_g2pgas(klon)      ! gastoparticle in gas units (check!)
+!      REAL his_g2paer(klon)      ! gastoparticle in aerosol units (check!)
+!
+      INTEGER ,intent(in) :: iflag_conv
+      LOGICAL iscm3  ! debug variable. for checkmass ! JE
+
+!------------------------------------------------------------------------
+!  only to compute time consumption of each process
+!----
+      INTEGER clock_start,clock_end,clock_rate,clock_start_spla
+      INTEGER clock_end_outphytracr,clock_start_outphytracr
+      INTEGER ti_init,dife,ti_inittype,ti_inittwrite
+      INTEGER ti_spla,ti_emis,ti_depo,ti_cltr,ti_ther
+      INTEGER ti_sedi,ti_gasp,ti_wetap,ti_cvltr,ti_lscs,ti_brop,ti_outs
+      INTEGER ti_nophytracr,clock_per_max
+      REAL tia_init,tia_inittype,tia_inittwrite
+      REAL tia_spla,tia_emis,tia_depo,tia_cltr,tia_ther
+      REAL tia_sedi,tia_gasp,tia_wetap,tia_cvltr,tia_lscs
+      REAL tia_brop,tia_outs
+      REAL tia_nophytracr
+ 
+      SAVE tia_init,tia_inittype,tia_inittwrite
+      SAVE tia_spla,tia_emis,tia_depo,tia_cltr,tia_ther
+      SAVE tia_sedi,tia_gasp,tia_wetap,tia_cvltr,tia_lscs
+      SAVE tia_brop,tia_outs
+      SAVE ti_nophytracr
+      SAVE tia_nophytracr
+      SAVE clock_end_outphytracr,clock_start_outphytracr
+      SAVE clock_per_max
+      LOGICAL logitime
+!$OMP THREADPRIVATE(tia_init,tia_inittype,tia_inittwrite)
+!$OMP THREADPRIVATE(tia_spla,tia_emis,tia_depo,tia_cltr,tia_ther)
+!$OMP THREADPRIVATE(tia_sedi,tia_gasp,tia_wetap,tia_cvltr,tia_lscs)
+!$OMP THREADPRIVATE(tia_brop,tia_outs)
+!$OMP THREADPRIVATE(ti_nophytracr)
+!$OMP THREADPRIVATE(tia_nophytracr)
+!$OMP THREADPRIVATE(clock_end_outphytracr,clock_start_outphytracr)
+!$OMP THREADPRIVATE(clock_per_max)
+
+!     utils parallelization
+      REAL :: auxklon_glo(klon_glo)
+      INTEGER :: iauxklon_glo(klon_glo)
+      REAL, DIMENSION(klon_glo,nbp_lev) :: auxklonnbp_lev
+      REAL, DIMENSION(klon_glo,nbp_lev,nbtr)  :: auxklonklevnbtr_glo
+      REAL,DIMENSION(nbp_lon,nbp_lat) ::  zx_tmp_2d_glo
+      REAL,DIMENSION(nbp_lon,nbp_lat,nbp_lev) :: zx_tmp_3d_glo
+      REAL,DIMENSION(klon_glo) :: zx_tmp_fi2d_glo
+      REAL,DIMENSION(klon_glo , nbp_lev) :: zx_tmp_fi3d_glo
+      REAL,DIMENSION(klon_glo,nbtr) :: auxklonnbtr_glo
+
+
+
+      source_tr=0.
+
+
+
+      if (debutphy) then
+#ifdef IOPHYS_DUST
+         CALL iophys_ini
+#endif
+         nbreg_ind=1
+         nbreg_bb=1
+         nbreg_dust=1
+         nbreg_wstardust=1
+         CALL phytracr_spl_ini(klon,nbreg_ind,nbreg_bb,nbreg_dust,nbreg_wstardust)
+      endif
+
+
+#ifdef IOPHYS_DUST
+      do it=1,nbtr
+         write(str2,'(i2.2)') it
+         call iophys_ecrit('TRA'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      enddo
+#endif
+
+  
+
+
+  ijulday=jD_cur-jD_1jan+1
+  nbjour = 1
+
+  paramname_ind='ind'
+  paramname_bb='bb'
+  paramname_ff='ind'
+  paramname_dustacc='dustacc'
+  paramname_dustcoa='dustcoasco'
+  paramname_dustsco='dustcoasco'
+!  paramname_dustacc='dust'
+!  paramname_dustcoa='dust'
+!  paramname_dustsco='dust'
+  paramname_wstarBL='pwstarbl'
+  paramname_wstarWAKE='pwstarwake'
+  paramname_ssacc='ssacc'
+  paramname_sscoa='sscoa'
+
+  filescaleparams='modvalues.nc'
+!AS: debranchage de lecture des coefs d'assmilation de Jeronimo Escribano
+  IF("ASSIM"=="YES") THEN
+    CALL readscaleparamsnc_spl(scale_param_ind,                        &
+        nbreg_ind, paramname_ind,                                    &
+        scale_param_ff, nbreg_ind,paramname_ff,                      &
+        scale_param_bb, nbreg_bb,paramname_bb,                       &
+        scale_param_dustacc, nbreg_dust,paramname_dustacc,           &
+        scale_param_dustcoa, nbreg_dust,paramname_dustcoa,           &
+        scale_param_dustsco, nbreg_dust,paramname_dustsco,           &
+        param_wstarBLperregion, nbreg_wstardust, paramname_wstarBL, &
+        param_wstarWAKEperregion, nbreg_wstardust, paramname_wstarWAKE, &
+        scale_param_ssacc  ,  paramname_ssacc,                    &
+        scale_param_sscoa  ,  paramname_sscoa,                    &
+           filescaleparams,ijulday,jH_cur, pdtphys,debutphy)
+  ENDIF ! ASSIM
+!AS: le commentaire suivant "add seasalt" ne semble pas avoir ete mis en pratique.
+! Des fichiers regions_ssacc et _sscoa existent mais ne semblent pas lus.
+! Ca reste donc aux valeurs initialisées: nbreg_ss=1, scale_param_ss*=1, cf fichiers ss et modvalues
+!! add seasalt
+
+  print *,'JE : check scale_params'
+
+  print *, 'nbreg_ind', nbreg_ind   
+  print *, 'nbreg_dust', nbreg_dust  
+  print *, 'nbreg_bb', nbreg_bb   
+  print *, 'ind', scale_param_ind   
+  print *, 'dustacc', scale_param_dustacc  
+  print *, 'dustcoa', scale_param_dustcoa  
+  print *, 'dustsco', scale_param_dustsco
+  print *, 'wstardustBL', param_wstarBLperregion
+  print *, 'wstardustWAKE', param_wstarWAKEperregion
+  print *, 'ff', scale_param_ff  
+  print *, 'bb', scale_param_bb  
+  print *, 'ssacc', scale_param_ssacc
+  print *, 'sscoa', scale_param_sscoa
+
+  print *,'JE: before read_newemissions '
+  print *,'JE: jD_cur:',jD_cur,' ijulday:',ijulday,' jH_cur:',jH_cur,' pdtphys:',pdtphys
+  print *,'JE: now read_newemissions:'
+!AS: La ligne suivante fait planter a l'execution : lmt_so2ff_l pas initialise
+!  print *,'lmt_so2ff_l AVANT' , MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
+  call read_newemissions(ijulday,jH_cur ,edgar, flag_dms,debutphy, & !I
+                         pdtphys, lafin, nbjour, pctsrf,  &       !I
+                         t_seri, rlat, rlon, &                         !I
+                         pmflxr, pmflxs, prfl, psfl, &            !I
+                                 u10m_ec, v10m_ec, dust_ec, &     !O
+                                 lmt_sea_salt, lmt_so2ff_l, &     !O
+                                 lmt_so2ff_h, lmt_so2nff, &       !O
+                                 lmt_so2ba, lmt_so2bb_l, lmt_so2bb_h, &  !O
+                                 lmt_so2volc_cont, lmt_altvolc_cont, &   !O
+                                 lmt_so2volc_expl, lmt_altvolc_expl, &   !O
+                                 lmt_dmsbio, lmt_h2sbio, lmt_dmsconc, &  !O
+                                 lmt_bcff, lmt_bcnff, lmt_bcbb_l, &      !O
+                                 lmt_bcbb_h, lmt_bcba, lmt_omff, &       !O
+                                 lmt_omnff, lmt_ombb_l, lmt_ombb_h, &    !O
+                                 lmt_omnat, lmt_omba)                    !O
+
+
+  print *,'Check emissions'
+  print *,'lmt_so2ff_l' , MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
+  print *,'lmt_so2ff_h' , MINVAL(lmt_so2ff_h), MAXVAL(lmt_so2ff_h)
+  print *,'lmt_so2nff' , MINVAL(lmt_so2nff), MAXVAL(lmt_so2nff)
+  print *,'lmt_so2ba' , MINVAL(lmt_so2ba), MAXVAL(lmt_so2ba)
+  print *,'lmt_so2bb_l' , MINVAL(lmt_so2bb_l), MAXVAL(lmt_so2bb_l)
+  print *,'lmt_so2bb_h' , MINVAL(lmt_so2bb_h), MAXVAL(lmt_so2bb_h)
+  print *,'lmt_so2volc_cont' , MINVAL(lmt_so2volc_cont), MAXVAL(lmt_so2volc_cont)
+  print *,'lmt_altvolc_cont' , MINVAL(lmt_altvolc_cont), MAXVAL(lmt_altvolc_cont)
+  print *,'lmt_so2volc_expl' , MINVAL(lmt_so2volc_expl), MAXVAL(lmt_so2volc_expl)
+  print *,'lmt_altvolc_expl' , MINVAL(lmt_altvolc_expl), MAXVAL(lmt_altvolc_expl)
+  print *,'lmt_dmsbio' , MINVAL(lmt_dmsbio), MAXVAL(lmt_dmsbio)
+  print *,'lmt_h2sbio' , MINVAL(lmt_h2sbio), MAXVAL(lmt_h2sbio)
+  print *,'lmt_dmsconc' , MINVAL(lmt_dmsconc), MAXVAL(lmt_dmsconc)
+  print *,'lmt_bcff' , MINVAL(lmt_bcff), MAXVAL(lmt_bcff)
+  print *,'lmt_bcnff' , MINVAL(lmt_bcnff), MAXVAL(lmt_bcnff)
+  print *,'lmt_bcbb_l' , MINVAL(lmt_bcbb_l), MAXVAL(lmt_bcbb_l)
+  print *,'lmt_bcbb_h' , MINVAL(lmt_bcbb_h), MAXVAL(lmt_bcbb_h)
+  print *,'lmt_bcba' , MINVAL(lmt_bcba), MAXVAL(lmt_bcba)
+  print *,'lmt_omff' , MINVAL(lmt_omff), MAXVAL(lmt_omff)
+  print *,'lmt_omnff' , MINVAL(lmt_omnff), MAXVAL(lmt_omnff)
+  print *,'lmt_ombb_l' , MINVAL(lmt_ombb_l), MAXVAL(lmt_ombb_l)
+  print *,'lmt_ombb_h' , MINVAL(lmt_ombb_h), MAXVAL(lmt_ombb_h)
+  print *,'lmt_omnat' , MINVAL(lmt_omnat), MAXVAL(lmt_omnat)
+  print *,'lmt_omba' , MINVAL(lmt_omba), MAXVAL(lmt_omba)
+  print *,'JE iflag_con',iflag_conv
+
+
+!JE_dbg
+   do i=1,klon
+      tsol(i)=0.0
+      do j=1,nbsrf
+          tsol(i)=tsol(i)+ftsol(i,j)*pctsrf(i,j)
+      enddo
+   enddo
+
+
+!======================================================================
+!  INITIALISATIONS
+!======================================================================
+!             CALL checknanqfi(da(:,:),1.,-1.,' da_ before
+!     . phytracr_inphytracr')
+
+!
+! computing time
+!        logitime=.true.
+        logitime=.false.
+        IF (logitime) THEN
+        clock_start=0
+        clock_end=0
+        clock_rate=0
+       CALL SYSTEM_CLOCK(COUNT_RATE=clock_rate,COUNT_MAX=clock_per_max)
+        CALL SYSTEM_CLOCK(COUNT=clock_start_spla)
+        clock_start=clock_start_spla
+        clock_end_outphytracr=clock_start_spla
+        ENDIF
+
+
+! Definition of tracers index.
+      print*,'OK ON PASSSE BIEN LA'
+      CALL minmaxsource(source_tr,qmin,qmax,'A1 maxsource init phytracr')
+
+
+      IF (debutphy) THEN
+        id_prec=-1
+        id_fine=-1
+        id_coss=-1
+        id_codu=-1
+        id_scdu=-1
+       !print *,nbtr
+       do it=1,nbtr
+        print *, it, tname(it+nqo)
+        if (tname(it+nqo) == 'PREC' ) then
+            id_prec=it
+        endif
+        if (tname(it+nqo) == 'FINE' ) then
+            id_fine=it
+        endif
+        if (tname(it+nqo) == 'COSS' ) then
+            id_coss=it
+        endif
+        if (tname(it+nqo) == 'CODU' ) then
+            id_codu=it
+        endif
+        if (tname(it+nqo) == 'SCDU' ) then
+            id_scdu=it
+        endif
+       enddo
+       ! check consistency with dust emission scheme:
+       if (ok_chimeredust) then
+          if (.not.( id_scdu>0 .and. id_codu>0 .and. id_fine>0)) then
+             call abort_gcm('phytracr_mod', 'pb in ok_chimdust 0',1)
+          endif
+       else 
+          if (id_scdu>0) then 
+       call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU',1)
+          endif
+          if ( (id_codu .le. 0) .or. ( id_fine.le.0)  ) then  
+          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1',1) 
+          endif
+       endif
+
+
+       !print *,id_prec,id_fine,id_coss,id_codu,id_scdu
+       ENDIF
+
+
+
+
+
+
+!---fraction of tracer that is convected (Tiedke)
+      xconv(:)=0.
+      if(id_prec>0)  xconv(id_prec)=0.8
+      if(id_fine>0)  xconv(id_fine)=0.5
+      if(id_coss>0)  xconv(id_coss)=0.5
+      if(id_codu>0)  xconv(id_codu)=0.6
+      if(id_scdu>0)  xconv(id_scdu)=0.6  !!JE fix
+
+      masse(:)=1.
+      if(id_prec>0)  masse(id_prec)=32.
+      if(id_fine>0)  masse(id_fine)=6.02e23
+      if(id_coss>0)  masse(id_coss)=6.02e23
+      if(id_codu>0)  masse(id_codu)=6.02e23 
+      if(id_scdu>0)  masse(id_scdu)=6.02e23 
+
+      henry(:)=0.
+      if(id_prec>0)  henry(id_prec)=1.4
+      if(id_fine>0)  henry(id_fine)=0.0
+      if(id_coss>0)  henry(id_coss)=0.0
+      if(id_codu>0)  henry(id_codu)=0.0
+      if(id_scdu>0)  henry(id_scdu)=0.0
+      !henry= (/1.4, 0.0, 0.0, 0.0/)
+      kk(:)=0.
+      if(id_prec>0)  kk(id_prec)=2900.
+      if(id_fine>0)  kk(id_fine)=0.0
+      if(id_coss>0)  kk(id_coss)=0.0
+      if(id_codu>0)  kk(id_codu)=0.0
+      if(id_scdu>0)  kk(id_scdu)=0.0
+      !kk = (/2900., 0., 0., 0./)
+      alpha_r(:)=0.
+      if(id_prec>0)  alpha_r(id_prec)=0.0
+      if(id_fine>0)  alpha_r(id_fine)=0.001
+      if(id_coss>0)  alpha_r(id_coss)=0.001
+      if(id_codu>0)  alpha_r(id_codu)=0.001
+      if(id_scdu>0)  alpha_r(id_scdu)=0.001  !JE fix
+      alpha_s(:)=0.
+      if(id_prec>0)  alpha_s(id_prec)=0.0
+      if(id_fine>0)  alpha_s(id_fine)=0.01
+      if(id_coss>0)  alpha_s(id_coss)=0.01
+      if(id_codu>0)  alpha_s(id_codu)=0.01
+      if(id_scdu>0)  alpha_s(id_scdu)=0.01  !JE fix
+
+!      alpha_r =  (/0., 0.001, 0.001, 0.001/)
+!      alpha_s = (/0., 0.01, 0.01, 0.01/)
+
+! nhl      DATA vdep_oce /0.7, 0.05, 1.2, 1.2/
+! nhl vdep_oce for tr1 is a weighted average of dms and so2 dep velocities
+      !vdep_oce = (/0.28, 0.28, 1.2, 1.2/)
+      vdep_oce(:)=0.
+      if(id_prec>0)  vdep_oce(id_prec) = 0.28
+      if(id_fine>0)  vdep_oce(id_fine) = 0.28
+      if(id_coss>0)  vdep_oce(id_coss) = 1.2
+      if(id_codu>0)  vdep_oce(id_codu) = 1.2
+      if(id_scdu>0)  vdep_oce(id_scdu) = 1.2
+      vdep_sic(:)=0.
+      if(id_prec>0)  vdep_sic(id_prec) = 0.2
+      if(id_fine>0)  vdep_sic(id_fine) = 0.17
+      if(id_coss>0)  vdep_sic(id_coss) = 1.2
+      if(id_codu>0)  vdep_sic(id_codu) = 1.2
+      if(id_scdu>0)  vdep_sic(id_scdu) = 1.2
+
+      !vdep_sic = (/0.2, 0.17, 1.2, 1.2/)     
+      !vdep_ter = (/0.3, 0.14, 1.2, 1.2/)
+      vdep_ter(:)=0.
+      if(id_prec>0)  vdep_ter(id_prec) = 0.3
+      if(id_fine>0)  vdep_ter(id_fine) = 0.14
+      if(id_coss>0)  vdep_ter(id_coss) = 1.2
+      if(id_codu>0)  vdep_ter(id_codu) = 1.2
+      if(id_scdu>0)  vdep_ter(id_scdu) = 1.2
+
+      vdep_lic(:)=0.
+      if(id_prec>0)  vdep_lic(id_prec) = 0.2
+      if(id_fine>0)  vdep_lic(id_fine) = 0.17
+      if(id_coss>0)  vdep_lic(id_coss) = 1.2
+      if(id_codu>0)  vdep_lic(id_codu) = 1.2
+      if(id_scdu>0)  vdep_lic(id_scdu) = 1.2
+
+
+      ! convective KE lessivage aer params:
+      ! AS: #DFB (Binta) a aussi teste ccntrAA_spla=ccntrENV_spla=0.9/1.0/0.9/0.9
+      !     mais effet negligeable sur l'AOD
+      ccntrAA_spla(:)=0.
+      if(id_prec>0)  ccntrAA_spla(id_prec)=-9999.
+      if(id_fine>0)  ccntrAA_spla(id_fine)=0.7
+      if(id_coss>0)  ccntrAA_spla(id_coss)=1.0
+      if(id_codu>0)  ccntrAA_spla(id_codu)=0.7
+      if(id_scdu>0)  ccntrAA_spla(id_scdu)=0.7
+
+      ccntrENV_spla(:)=0.
+      if(id_prec>0)  ccntrENV_spla(id_prec)=-9999.
+      if(id_fine>0)  ccntrENV_spla(id_fine)=0.7
+      if(id_coss>0)  ccntrENV_spla(id_coss)=1.0
+      if(id_codu>0)  ccntrENV_spla(id_codu)=0.7
+      if(id_scdu>0)  ccntrENV_spla(id_scdu)=0.7
+      ! #DFB
+      coefcoli_spla(:)=0.
+      if(id_prec>0)  coefcoli_spla(id_prec)=-9999.
+      if(id_fine>0)  coefcoli_spla(id_fine)=0.001
+      if(id_coss>0)  coefcoli_spla(id_coss)=0.001
+      if(id_codu>0)  coefcoli_spla(id_codu)=0.001
+      if(id_scdu>0)  coefcoli_spla(id_scdu)=0.001
+
+      !vdep_lic = (/0.2, 0.17, 1.2, 1.2/)      
+!
+
+      iscm3=.false.
+      if (debutphy) then
+!$OMP MASTER
+         CALL suphel
+         print *, 'let s check nbtr=', nbtr
+! JE before put in zero
+      IF (lminmax) THEN
+        DO it=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan init phytracr')
+        ENDDO        
+        DO it=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'minmax init phytracr')
+        ENDDO
+        CALL minmaxsource(source_tr,qmin,qmax,'maxsource init phytracr')
+      ENDIF
+! JE   initializon to cero the tracers     
+!         DO it=1, nbtr
+!            tr_seri(:,:,it)=0.0
+!         ENDDO
+! JE end     
+! Initializing to zero tr_seri for comparison purposes
+!        tr_seri(:,:,:)=0.0
+!
+!        DO it=1,nbtr
+!           trm_aux(it)=0.0
+!           src_aux(it)=0.0
+!           diag_trm(it)=0.0
+!           diag_drydep(it)=0.0
+!           diag_wetdep(it)=0.0
+!           diag_cvtdep(it)=0.0
+!           diag_emissn(it)=0.0
+!        ENDDO
+!        diag_g2part=0.0
+         print *,'PREPARE FILES TO SAVE VARIABLES'
+!
+         nbjour=30
+         ecrit_tra =   NINT(86400./pdtphys)                    !--1-day  average
+         ecrit_tra_h = NINT(86400./pdtphys*0.25)               !--6-hour average
+         ecrit_tra_m = NINT(86400./pdtphys*FLOAT(nbjour))      !--1-mth  average
+         print *,'ecrit_tra=', pdtphys, ecrit_tra
+
+!!AS deleting lines
+!!         IF (ok_histrac) THEN
+!!           IF (is_mpi_root .AND. is_omp_root) THEN
+!!-----many deleted lines----
+!!!       nbjour=1
+!!         ENDIF ! mpi root
+!!         ENDIF !--ok_histrac
+
+!$OMP END MASTER
+!$OMP BARRIER
+      endif ! debutphy
+!
+!======================================================================
+! Initialisations
+!======================================================================
+!
+!
+! je  KE init
+      IF (debutphy) THEN
+!$OMP MASTER
+
+      ALLOCATE(d_tr_dry(klon,nbtr))
+      ALLOCATE(flux_tr_dry(klon,nbtr),d_tr_dec(klon,klev,nbtr))
+      ALLOCATE(qPrls(klon,nbtr),qPr(klon,klev,nbtr))
+      ALLOCATE(qDi(klon,klev,nbtr))
+      ALLOCATE(qPa(klon,klev,nbtr),qMel(klon,klev,nbtr))
+      ALLOCATE(qTrdi(klon,klev,nbtr),dtrcvMA(klon,klev,nbtr))
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        ALLOCATE(d_tr_cv_o(klon,klev,nbtr))
        ALLOCATE(d_tr_trsp_o(klon,klev,nbtr))
